Perder negócios
curl --request POST \
--url https://api.g1.datacrazy.io/api/v1/businesses/actions/lose \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"59e77f5f-7581-4f20-a05b-97cd33485019",
"2adcad62-2446-4d16-8cfc-bf055ca8aa3c,d61e93c2-8f1e-4520-960b-62d9a7994dfb "
],
"lossReasonId": "59e77f5f-7581-4f20-a05b-97cd33485019",
"justification": "Lead desistiu do negócio"
}
'import requests
url = "https://api.g1.datacrazy.io/api/v1/businesses/actions/lose"
payload = {
"ids": ["59e77f5f-7581-4f20-a05b-97cd33485019", "2adcad62-2446-4d16-8cfc-bf055ca8aa3c,d61e93c2-8f1e-4520-960b-62d9a7994dfb "],
"lossReasonId": "59e77f5f-7581-4f20-a05b-97cd33485019",
"justification": "Lead desistiu do negócio"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ids: [
'59e77f5f-7581-4f20-a05b-97cd33485019',
'2adcad62-2446-4d16-8cfc-bf055ca8aa3c,d61e93c2-8f1e-4520-960b-62d9a7994dfb '
],
lossReasonId: '59e77f5f-7581-4f20-a05b-97cd33485019',
justification: 'Lead desistiu do negócio'
})
};
fetch('https://api.g1.datacrazy.io/api/v1/businesses/actions/lose', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Acões de negócio
Perder negócios
ID ou array de IDs de negócios a serem perdidos
POST
/
api
/
v1
/
businesses
/
actions
/
lose
Perder negócios
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
ID ou array de IDs de negócios a serem perdidos
Example:
[
"59e77f5f-7581-4f20-a05b-97cd33485019",
"2adcad62-2446-4d16-8cfc-bf055ca8aa3c,d61e93c2-8f1e-4520-960b-62d9a7994dfb "
]
ID do motivo de perda
Example:
"59e77f5f-7581-4f20-a05b-97cd33485019"
Justificação da perda
Example:
"Lead desistiu do negócio"
Response
201 - undefined
⌘I